/*
    Copyright (C) 2002 Timo Sirainen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "lib.h"
#include "rfc822-tokenize.h"
#include "rfc822-address.h"

Rfc822Address *rfc822_address_parse(Pool pool, const char *str)
{
	Rfc822Address **addr, *first_addr;
	const Rfc822Token *tokens;
	int count;

	if (str == NULL || *str == '\0')
		return NULL;

	first_addr = NULL;
	addr = &first_addr;

	/* name <route:mailbox@domain>, ... */
	/* mailbox@domain (name), ... */
	tokens = rfc822_tokenize(str, &count, NULL, NULL);

	/* FIXME: do this properly */
	first_addr = p_new(pool, Rfc822Address, 1);
	first_addr->name = p_strdup(pool, str);

	return first_addr;
}

