#ifndef __LIB_H
#define __LIB_H

/* default system includes - keep these at minimum.. */
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <errno.h>

#include <sys/types.h>
#ifndef WIN32
#  include <sys/socket.h>
#  include <netinet/in.h>
#  include <netdb.h>
#  include <arpa/inet.h>
#endif

typedef struct _IPADDR IPADDR;
typedef struct _IOBuffer IOBuffer;
typedef struct _TempString TempString;

/* default lib includes */
#ifdef HAVE_CONFIG_H
#  include "../../config.h"
#endif
#include "compat.h"
#include "macros.h"
#include "failures.h"

#include "mempool.h"
#include "temp-mempool.h"
#include "imem.h"

#include "dynarray.h"
#include "hash.h"
#include "tree.h"
#include "strfuncs.h"
#include "ioloop.h"

unsigned int nearest_power(unsigned int num);

void lib_init(void);
void lib_deinit(void);

#endif
